from linkahead import Record
from loan.box_loan import BOX, BOX_RETURNED, BOX_BORROWED
from loan.manual_return import _set_returned_box


def test_set_returned_box():
    loan = Record()
    loan.add_property(BOX, name=BOX_BORROWED.name, value="1234@abcd")

    assert len(loan.get_properties()) == 1
    assert loan.get_property(BOX_BORROWED.name).value == "1234@abcd"
    assert loan.get_property(BOX_RETURNED.name) is None

    _set_returned_box(loan)

    assert len(loan.get_properties()) == 2
    assert loan.get_property(BOX_BORROWED.name).value == "1234@abcd"
    assert loan.get_property(BOX_RETURNED.name).value == "1234@HEAD"
